
from . import constant

parameters = {
        'EfficientNet' : { "lr": 0.1, "epochs": 100, "weight_decay": 5e-5, "batch_size": 128, "nesterov": True,  "init_backbone":True, "init_extractor":True,},
        }



backbone_config = {
        "EfficientNetB0" : {"channels": 3, "dropout": 0,},
        "EfficientNetB1" : {"channels": 3, "dropout": 0,},
        }


train = { 
        # EfficientNetB0
        'EfficientNetB0-standard': {  "backbone": 'EfficientNetB0',
                                        "backbone_config": backbone_config['EfficientNetB0'],
                                        "weights_std": constant.standard_weights_std,
                                        "agmax" : False,
                                        "parameters" : parameters['EfficientNet'],
                                        "cutout": False, "auto_augment": False,  "no_basic_augment": False, "cutmix": False, "mixup" : False,
                                     },
        'EfficientNetB0-cutmix': {  "backbone": 'EfficientNetB0',
                                        "backbone_config": backbone_config['EfficientNetB0'],
                                        "weights_std": constant.standard_weights_std, 
                                        "agmax" : False,
                                        "parameters" : parameters['EfficientNet'],
                                        "cutout": False, "auto_augment": False,  "no_basic_augment": False, "cutmix": True, "mixup" : False,
                                     },
        'EfficientNetB0-cutmix-agmax': {  "backbone": 'EfficientNetB0',
                                        "backbone_config": backbone_config['EfficientNetB0'],
                                        "weights_std": constant.agmax_weights_std, 
                                        "agmax" : True,
                                        "parameters" : parameters['EfficientNet'],
                                        "cutout": False, "auto_augment": False,  "no_basic_augment": False, "cutmix": True, "mixup" : False,
                                     },
        'EfficientNetB0-standard-agmax': {  "backbone": 'EfficientNetB0',
                                        "backbone_config": backbone_config['EfficientNetB0'],
                                        "weights_std": constant.agmax_weights_std, 
                                        "agmax" : True,
                                        "parameters" : parameters['EfficientNet'],
                                        "cutout": False, "auto_augment": False,  "no_basic_augment": False, "cutmix": False, "mixup" : False,
                                     },
        'EfficientNetB0-auto_augment-cutmix-agmax': {  "backbone": 'EfficientNetB0',
                                        "backbone_config": backbone_config['EfficientNetB0'],
                                        "weights_std": constant.agmax_weights_std, 
                                        "agmax" : True,
                                        "parameters" : parameters['EfficientNet'],
                                        "cutout": False, "auto_augment": True,  "no_basic_augment": False, "cutmix": True, "mixup" : False,
                                     },
        'EfficientNetB0-auto_augment-mixup-agmax': {  "backbone": 'EfficientNetB0',
                                        "backbone_config": backbone_config['EfficientNetB0'],
                                        "weights_std": constant.agmax_weights_std, 
                                        "agmax" : True,
                                        "parameters" : parameters['EfficientNet'],
                                        "cutout": False, "auto_augment": True,  "no_basic_augment": False, "cutmix": False, "mixup" : True,
                                     },
        'EfficientNetB0-auto_augment-cutmix': {  "backbone": 'EfficientNetB0',
                                        "backbone_config": backbone_config['EfficientNetB0'],
                                        "weights_std": constant.standard_weights_std, 
                                        "agmax" : False,
                                        "parameters" : parameters['EfficientNet'],
                                        "cutout": False, "auto_augment": True,  "no_basic_augment": False, "cutmix": True, "mixup" : False,
                                     },
        'EfficientNetB0-auto_augment-mixup': {  "backbone": 'EfficientNetB0',
                                        "backbone_config": backbone_config['EfficientNetB0'],
                                        "weights_std": constant.standard_weights_std, 
                                        "agmax" : False,
                                        "parameters" : parameters['EfficientNet'],
                                        "cutout": False, "auto_augment": True,  "no_basic_augment": False, "cutmix": False, "mixup" : True,
                                     },
        # EfficientNetB1
        'EfficientNetB1-standard': {  "backbone": 'EfficientNetB1',
                                        "backbone_config": backbone_config['EfficientNetB1'],
                                        "weights_std": constant.standard_weights_std,
                                        "agmax" : False,
                                        "parameters" : parameters['EfficientNet'],
                                        "cutout": False, "auto_augment": False,  "no_basic_augment": False, "cutmix": False, "mixup" : False,
                                     },
        'EfficientNetB1-cutmix': {  "backbone": 'EfficientNetB1',
                                        "backbone_config": backbone_config['EfficientNetB1'],
                                        "weights_std": constant.standard_weights_std, 
                                        "agmax" : False,
                                        "parameters" : parameters['EfficientNet'],
                                        "cutout": False, "auto_augment": False,  "no_basic_augment": False, "cutmix": True, "mixup" : False,
                                     },
        'EfficientNetB1-cutmix-agmax': {  "backbone": 'EfficientNetB1',
                                        "backbone_config": backbone_config['EfficientNetB1'],
                                        "weights_std": constant.agmax_weights_std, 
                                        "agmax" : True,
                                        "parameters" : parameters['EfficientNet'],
                                        "cutout": False, "auto_augment": False,  "no_basic_augment": False, "cutmix": True, "mixup" : False,
                                     },
        'EfficientNetB1-standard-agmax': {  "backbone": 'EfficientNetB1',
                                        "backbone_config": backbone_config['EfficientNetB1'],
                                        "weights_std": constant.agmax_weights_std, 
                                        "agmax" : True,
                                        "parameters" : parameters['EfficientNet'],
                                        "cutout": False, "auto_augment": False,  "no_basic_augment": False, "cutmix": False, "mixup" : False,
                                     },
        'EfficientNetB1-auto_augment-cutmix-agmax': {  "backbone": 'EfficientNetB1',
                                        "backbone_config": backbone_config['EfficientNetB1'],
                                        "weights_std": constant.agmax_weights_std, 
                                        "agmax" : True,
                                        "parameters" : parameters['EfficientNet'],
                                        "cutout": False, "auto_augment": True,  "no_basic_augment": False, "cutmix": True, "mixup" : False,
                                     },
        'EfficientNetB1-auto_augment-mixup-agmax': {  "backbone": 'EfficientNetB1',
                                        "backbone_config": backbone_config['EfficientNetB1'],
                                        "weights_std": constant.agmax_weights_std, 
                                        "agmax" : True,
                                        "parameters" : parameters['EfficientNet'],
                                        "cutout": False, "auto_augment": True,  "no_basic_augment": False, "cutmix": False, "mixup" : True,
                                     },
        'EfficientNetB1-auto_augment-cutmix': {  "backbone": 'EfficientNetB1',
                                        "backbone_config": backbone_config['EfficientNetB1'],
                                        "weights_std": constant.standard_weights_std, 
                                        "agmax" : False,
                                        "parameters" : parameters['EfficientNet'],
                                        "cutout": False, "auto_augment": True,  "no_basic_augment": False, "cutmix": True, "mixup" : False,
                                     },
        'EfficientNetB1-auto_augment-mixup': {  "backbone": 'EfficientNetB1',
                                        "backbone_config": backbone_config['EfficientNetB1'],
                                        "weights_std": constant.standard_weights_std, 
                                        "agmax" : False,
                                        "parameters" : parameters['EfficientNet'],
                                        "cutout": False, "auto_augment": True,  "no_basic_augment": False, "cutmix": False, "mixup" : True,
                                     },
        }
